Subject: Re: bug#10112: ImageMagick doesn't display some image formats

From: Juri Linkov <[email-masked]>
Date: Fri, 25 Nov 2011 00:49:37 +0200

>>  E.g., I have to explicitly
>> (add-to-list 'image-type-header-regexps '("\\`\377\330" . imagemagick))
>> to have image-mode use imagemagick to display a jpeg file.
>
> Sorry, this seems to be another problem...

Yes, this is another problem.  Gnus doesn't use `image-type-header-regexps'.
mm-decode.el creates an image by calling `create-image' with `imagemagick'
and `data-p' arguments, so `image-type' doesn't call `image-type-from-data'.

But this is still a problem.  Currently we can't view images supported
by ImageMagick when they are visited from archives.  That's because of
the problem you mentioned: there are no ImageMagick headers in
`image-type-header-regexps'.

Another problem is that we can't use ImageMagick transformations on
default image types JPEG, GIF, PNG because they are not visited
with the help of ImageMagick.